prompt
prompt Creating MATERIALIZED VIEW LOGs ...
prompt
set term off
declare
	vcMVName VARCHAR2(30);
begin
    EXECUTE IMMEDIATE 'CREATE MATERIALIZED VIEW LOG ON	CATGPENREL	STORAGE (MAXEXTENTS UNLIMITED)	WITH ROWID	INCLUDING NEW VALUES';
    SELECT MVIEW_NAME into vcMVName from Dba_Mviews where MVIEW_NAME='RICHATTR';
EXCEPTION
   WHEN NO_DATA_FOUND THEN
    	EXECUTE IMMEDIATE 'CREATE MATERIALIZED VIEW LOG ON	ATTRIBUTE	STORAGE (MAXEXTENTS UNLIMITED)	WITH ROWID	INCLUDING NEW VALUES';
    	EXECUTE IMMEDIATE 'CREATE MATERIALIZED VIEW LOG ON	ATTRVALUE	STORAGE (MAXEXTENTS UNLIMITED)	WITH ROWID	INCLUDING NEW VALUES';
end;
/
set term on
commit;    	


prompt
prompt Creating MATERIALIZED VIEW RICHATTRCATGP ...
prompt
CREATE MATERIALIZED VIEW RICHATTRCATGP
NOLOGGING 
CACHE 
BUILD IMMEDIATE 
REFRESH FAST ON COMMIT 
ENABLE QUERY REWRITE AS
	SELECT 	
			ATTRIBUTE.NAME,
			ATTRIBUTE.LANGUAGE_ID,
			ATTRVALUE.CATENTRY_ID,
			ATTRVALUE.FLOATVALUE,
			ATTRVALUE.INTEGERVALUE,
			ATTRVALUE.STRINGVALUE,
			CATGPENREL.CATGROUP_ID,
			ATTRIBUTE.ROWID ATTR_RID,
			ATTRVALUE.ROWID	ATTRVALUE_RID,
			CATGPENREL.ROWID CATGPENR_RID
	FROM	
			ATTRIBUTE, ATTRVALUE, CATGPENREL		
	WHERE 	
			ATTRIBUTE.ATTRIBUTE_ID=ATTRVALUE.ATTRIBUTE_ID
      	AND ATTRIBUTE.catentry_id=CATGPENREL.catentry_id;
commit;

prompt
prompt Creating INDEX I_RICHATTRCATGP ...
prompt
CREATE INDEX I_RICHATTRCATGP ON RICHATTRCATGP
(
	NAME			ASC,
	LANGUAGE_ID		ASC,
	CATENTRY_ID		ASC,
	FLOATVALUE		ASC,
	INTEGERVALUE	ASC,
	STRINGVALUE		ASC,
	CATGROUP_ID		ASC
);
commit;

prompt
prompt Enabling QUERY_REWRITE ...
prompt
alter system set query_rewrite_enabled=true;
commit;
